Page MenuHomePhabricator

1.42.0-wmf.9 deployment blockers
Closed, ResolvedPublic5 Estimated Story PointsRelease

Details

Backup Train Conductor
hashar
Release Version
1.42.0-wmf.9
Release Date
Dec 11 2023, 12:00 AM

2023 week 50 1.42-wmf.9 Changes wmf/1.42.0-wmf.9

This MediaWiki Train Deployment is scheduled for the week of Monday, December 11th:

Monday December 11thTuesday, December 12thWednesday, December 13thThursday, December 14thFriday
Backports only.Branch wmf.9 and deploy to Group 0 Wikis.Deploy wmf.9 to Group 1 Wikis.Deploy wmf.9 to all Wikis.No deployments on fridays

How this works

  • Any serious bugs affecting wmf.9 should be added as subtasks beneath this one.
  • Any open subtask(s) block the train from moving forward. This means no further deployments until the blockers are resolved.
  • If something is serious enough to warrant a rollback then you should bring it to the attention of deployers on the #wikimedia-operations IRC channel.
  • If you have a risky change in this week's train add a comment to this task using the Risky patch template
  • For more info about deployment blockers, see Holding the train.

Related Links

Other Deployments

Previous: 1.42.0-wmf.8
Next: 1.42.0-wmf.10

Related Objects

Event Timeline

thcipriani triaged this task as Medium priority.
thcipriani updated Other Assignee, added: hashar.
thcipriani set the point value for this task to 5.

As a follow to T338205 we have rolled some changes to the fix-staging-perms script which has altered the group owner ship of /srv/mediawiki-staging and /srv/patches to ensure all files beneath them are owned by the deployment group (we had remnant of files owned by wikidev). I don't expect anything to be broke, but you never know :)

Risky Patch! 🚂🔥 Removal of Vue.js Compatibility Build
  • Change: https://gerrit.wikimedia.org/r/c/mediawiki/core/+/773281
  • Impact: Any features using Vue.js (client-side JS framework).
  • Summary: This patch removes the "compatibility build" that we've used for the past year to smooth the migration between Vue.js version 2 and 3. There has been a long-standing effort to migrate all Vue.js-using features to Vue 3 across the wiki-verse (see T289020), but it's possible that something was missed.
  • Test plan: We timed this patch to coincide with the train pause that is happening for the week of Dec 4. During this week, I encourage all teams who are using Vue.js in production to update your local development environment to the latest version of MW Core master and test your Vue-based features. If you see JS console errors or warnings, please take action to address them (or reach out to someone on the Design Systems Team if you need help doing so).
  • Places to monitor:
  • Revert plan: Revert patch (if it's not possible to address the error in the affected code quickly)
  • Affected wikis: Wherever Vue.js-based features have been deployed (TypeaheadSearch on Wikipedia, MediaSearch on Commons, new Growth Team dashboards, numerous features on Wikidata, Wikifunctions, etc).
  • WMF Slack Contact: @egardner, @Roan Kattouw (timezone UTC-8)
  • UBN Task Projects/tags: Design-System-Team
  • Would you like to backport this change rather than ride the train?: This change can ride the train normally

(Note that in order to revert this patch, you would also first have to revert https://gerrit.wikimedia.org/r/c/mediawiki/core/+/978146 , to avoid conflicts)

Change 982186 had a related patch set uploaded (by TrainBranchBot; author: trainbranchbot):

[mediawiki/core@wmf/1.42.0-wmf.9] Branch commit for wmf/1.42.0-wmf.9

https://gerrit.wikimedia.org/r/982186

Change 982186 merged by jenkins-bot:

[mediawiki/core@wmf/1.42.0-wmf.9] Branch commit for wmf/1.42.0-wmf.9

https://gerrit.wikimedia.org/r/982186

Change 982181 had a related patch set uploaded (by TrainBranchBot; author: MediaWiki PreSync):

[operations/mediawiki-config@master] testwikis wikis to 1.42.0-wmf.9

https://gerrit.wikimedia.org/r/982181

Change 982181 merged by jenkins-bot:

[operations/mediawiki-config@master] testwikis wikis to 1.42.0-wmf.9

https://gerrit.wikimedia.org/r/982181

Mentioned in SAL (#wikimedia-operations) [2023-12-12T04:02:47Z] <mwpresync@deploy2002> Started scap: testwikis wikis to 1.42.0-wmf.9 refs T350085

Mentioned in SAL (#wikimedia-operations) [2023-12-12T04:55:51Z] <mwpresync@deploy2002> Finished scap: testwikis wikis to 1.42.0-wmf.9 refs T350085 (duration: 53m 03s)

We found a "?useparsoid=1" breakage because of https://gerrit.wikimedia.org/r/c/mediawiki/core/+/967449 ... @ihurbain is looking at it right now. We think it is okay to roll out to group 0 but we should hold it there till we fix it -- ideally we will have a fix today that we can backport.

Added that task as a blocker since it may potentially impact other functionality besides Parsoid-based DiscussionTools. There is a patch in CI to fix it and @cscott is working to fix CI for it before we can backport it.

I cherry-picked the fix to wmf-9. So, train conductors can merge and backport it and proceed with the train.

I cherry-picked the fix to wmf-9. So, train conductors can merge and backport it and proceed with the train.

Will do.

Mentioned in SAL (#wikimedia-operations) [2023-12-12T19:08:56Z] <brennen> 1.42.0-wmf.9 (T350085) status: deploying a fix for T353257 and then will proceed to group0.

Change 982457 had a related patch set uploaded (by TrainBranchBot; author: Brennen Bearnes):

[operations/mediawiki-config@master] group0 wikis to 1.42.0-wmf.9

https://gerrit.wikimedia.org/r/982457

Change 982457 merged by jenkins-bot:

[operations/mediawiki-config@master] group0 wikis to 1.42.0-wmf.9

https://gerrit.wikimedia.org/r/982457

Mentioned in SAL (#wikimedia-operations) [2023-12-12T19:43:19Z] <brennen@deploy2002> rebuilt and synchronized wikiversions files: group0 wikis to 1.42.0-wmf.9 refs T350085

Mentioned in SAL (#wikimedia-operations) [2023-12-13T19:01:38Z] <brennen> 1.42.0-wmf.9 (T350085) status: no blockers, rolling to group1

Change 982902 had a related patch set uploaded (by TrainBranchBot; author: Brennen Bearnes):

[operations/mediawiki-config@master] group1 wikis to 1.42.0-wmf.9

https://gerrit.wikimedia.org/r/982902

Change 982902 merged by jenkins-bot:

[operations/mediawiki-config@master] group1 wikis to 1.42.0-wmf.9

https://gerrit.wikimedia.org/r/982902

Mentioned in SAL (#wikimedia-operations) [2023-12-13T19:12:24Z] <brennen@deploy2002> rebuilt and synchronized wikiversions files: group1 wikis to 1.42.0-wmf.9 refs T350085

Mentioned in SAL (#wikimedia-operations) [2023-12-13T19:19:54Z] <brennen@deploy2002> Synchronized php: group1 wikis to 1.42.0-wmf.9 refs T350085 (duration: 07m 29s)

End-of-workday status: Seems stable on group1, although there are a couple of things probably worth looking at more closely in the log triage meeting.

Mentioned in SAL (#wikimedia-operations) [2023-12-14T19:03:34Z] <brennen> 1.42.0-wmf.9 (T350085) status: no current blockers, although we should keep an eye on T353400. rolling to all wikis.

Change 983254 had a related patch set uploaded (by TrainBranchBot; author: Brennen Bearnes):

[operations/mediawiki-config@master] group2 wikis to 1.42.0-wmf.9

https://gerrit.wikimedia.org/r/983254

Change 983254 merged by jenkins-bot:

[operations/mediawiki-config@master] group2 wikis to 1.42.0-wmf.9

https://gerrit.wikimedia.org/r/983254

Mentioned in SAL (#wikimedia-operations) [2023-12-14T19:12:15Z] <brennen@deploy2002> rebuilt and synchronized wikiversions files: group2 wikis to 1.42.0-wmf.9 refs T350085